Subject: Re: Path confusion
From: Luke Kendall <[email-masked]>
To: [email-masked]
Cc: Igor Pechtchanski <[email-masked]>
Date: Fri, 1 Apr 2005 14:40:36 +1000 (EST)

On 31 Mar, Igor Pechtchanski wrote:
>  > The problem is then that there are two /home directories: the real 
>  > /home that's mounted on, say d:/home, and the fake /home, formed by 
>  > re-writing "c:/cygwin" as "/", and tacking on the home subdirectory. 
>  > 
>  > I think the solution is that I simply have to remove or rename 
>  > c:/cygwin/home. 
>   
>  FWIW, this still won't allow you to access /home via c:/cygwin/home... 

Excellent, since it isn't the /home directory!  :-)

/home is what mount has been told (typically, d:/home).

I was surprised initially when doing a find c:/cygwin that it entered
the d:/home area - but a -xdev option takes care of that issue.

If you don't want to require the original Cywgin installer to be the
only person who can later install or remove Cygwin packages, you can
change ownership of all Cygwin files to allow anyone with adminstrators
privilege for the machine to do it, by making sure the person who
installs running this:

    find `cygpath -m /` -xdev -user $USER -print \
       | tr "\n" "\000" \
       | xargs -0 chown Administrators.SYSTEM

Cheers,

luke

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/